#### 28.4.4.9 The ps\_setup\_enable\_consumer() Procedure

[]()[]()

 Enables Performance Schema consumers with names that contain the argument. Produces a result set indicating how many consumers were enabled. Already enabled consumers do not count.

##### Parameters

* `consumer VARCHAR(128)`: The value used to match consumer names, which are identified by using `%consumer%` as an operand for a [`LIKE`](string-comparison-functions.html#operator_like) pattern match.

   A value of `''` matches all consumers.

##### Example

 Enable all statement consumers:

```
mysql> CALL sys.ps_setup_enable_consumer('statement');
+---------------------+
| summary             |
+---------------------+
| Enabled 4 consumers |
+---------------------+
```

